% --- Source file: proposal.permute.matrix.Rd ---
\name{proposal.permute.matrix}
\alias{proposal.permute.matrix}
\title{Example function for the fun.proposal argument of the SAMC.adapt() function }
\description{
  This function updates the inpute data by randomly switching any chosen pair of rows
  from two matrices.
}
\usage{
proposal.permute.matrix(data.input, prop.change)
}
\arguments{
  \item{data.input}{A list of two components, x and y, which are matrices containing genotypes
  on a set of genetic markers from cases and controls, where the rows are for subjects and columns for the markers.
  Each element takes the value 0, 1, or 2, representing the number of copies of a certain allele in the genotype.}
  \item{prop.change}{The proportion of the rows in the smaller matrix to be switched with chosen
    rows from the other matrix.}
}
\value{
 The updated version of \code{data.input}.
 }
\details{
 This function can be used together with \code{\link{MAX.test.statistic}}. See the reference on
  exactly how the permutations are conducted.
}
\references{ 
Yu K, Liang F, Ciampa J, Chatterjee N. Efficient p-value evaluation for resampling-based tests (Submitted manuscript).
}
\seealso{\code{\link{MAX.test.statistic}}, \code{\link{SAMC.adapt}}}
\examples{
proposal.permute.matrix
}

